signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions | List of all members
PartitionHandler Struct Reference

`#include <crypto-handlers.h>`

## Public Types
enum | { Ext2 = 0, Ext3, Ext4 }

## Static Public Member Functions
static bool | createPartitionFile (const QString &fileName, const quint32 fileSize)
| Creates a random data file of fileSize Mb. More...
static bool | formatPartitionFile (const QString &fileName, const quint32 fileSystemType)
| Formats a file (block device) for a specific file system type (ext2,ext3,ext4) More...

## Detailed Description

Definition at line 91 of file crypto-handlers.h.

## Member Enumeration Documentation

anonymous enum

Enumerator
Ext2 |
Ext3 |
Ext4 |

Definition at line 93 of file crypto-handlers.h.

## Member Function Documentation

bool PartitionHandler::createPartitionFile | ( | const QString & | fileName,
|  | const quint32 | fileSize
| ) |  |
| static

Creates a random data file of fileSize Mb.

Parameters

  fileName | The name of the file to be created.
  fileSize | The size of the file to be created (Mb)

Definition at line 113 of file crypto-handlers.cpp.

References BLAME, MEGA_BYTE_SIZE, setFilePermissions(), signonFilePermissions, and TRACE.

Referenced by CryptoManager::setupFileSystem().

bool PartitionHandler::formatPartitionFile | ( | const QString & | fileName,
|  | const quint32 | fileSystemType
| ) |  |
| static

Formats a file (block device) for a specific file system type (ext2,ext3,ext4)

Parameters

  fileName | Name of the file to be formatted.
  fileSystemType | Type of the file syste

Returns
  true upon success, false otherwise.

Definition at line 142 of file crypto-handlers.cpp.

References Ext2, Ext3, Ext4, and SystemCommandLineCallHandler::makeCall().

Referenced by CryptoManager::setupFileSystem().

The documentation for this struct was generated from the following files:

- src/extensions/cryptsetup/crypto-handlers.h
- src/extensions/cryptsetup/crypto-handlers.cpp